#include <stdlib.h>
#include <stdio.h>
#include <iostream>
#include <mach-o/dyld.h>

#include <TROOT.h>
#include <TH1D.h>


int main(int argc, const char* argv[]){

  uint32_t i, count = _dyld_image_count();
  std::cout << count << " libraries" << std::endl;

  const struct mach_header *header;
  std::string image_name;

  for (i = 0; i < count; i++) {
    header = _dyld_get_image_header(i);
    image_name = _dyld_get_image_name(i);
    std::cout << image_name << std::endl;
  }

  std::cout << "fine" << std::endl;

  TH1D* histo = new TH1D("histo", "", 100, 0, 1);

  return 0;
}
